﻿@model IEnumerable<SocialMedia.Web.Models.UserViewModel>

@{
    ViewData["Title"] = "Users";
}

<h1>Users</h1>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Age)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Role)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <th>
                @Html.DisplayFor(modelItem => item.Id)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.FirstName)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.LastName)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.UserName)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Email)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Age)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Role)
            </th>
            <td>
                <a asp-controller="Admin" asp-action="EditUser" asp-route-id="@item.Id">Edit |</a>
                <a asp-controller="Admin" asp-action="UserDetails" asp-route-id="@item.Id">Details |</a>
                <a asp-controller="Admin" asp-action="DeleteUser" asp-route-id="@item.Id">Delete |</a>
                @if (item.IsBanned)
                {
                    <a asp-controller="Admin" asp-action="UnbanUser" asp-route-id="@item.Id">Unban</a>
                }
                else
                {
                    <a asp-controller="Admin" asp-action="BanUser" asp-route-id="@item.Id">Ban</a>
                }
            </td>
        </tr>
        }
    </tbody>
</table>
